summaryrefslogtreecommitdiffstats
path: root/audio/mpc
diff options
context:
space:
mode:
author Meckafett <tom.bradish@gmail.com>2010-05-13 00:21:43 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:21:43 +0200
commitb8825037dded5b0a881f8df5ba5ed2358c9716e2 (patch)
tree17e151eef69a29e98f2cf1b94892e3585851c8b3 /audio/mpc
parentfbb34e63ba51fa7f41e0b5dcfea1f85a5a104c5a (diff)
downloadslackbuilds-b8825037dded5b0a881f8df5ba5ed2358c9716e2.tar.gz
slackbuilds-b8825037dded5b0a881f8df5ba5ed2358c9716e2.tar.xz
audio/mpc: Updated for version 0.12.1
Diffstat (limited to 'audio/mpc')
-rw-r--r--audio/mpc/mpc.SlackBuild23
-rw-r--r--audio/mpc/mpc.info2
-rw-r--r--audio/mpc/slack-desc7
3 files changed, 26 insertions, 6 deletions
diff --git a/audio/mpc/mpc.SlackBuild b/audio/mpc/mpc.SlackBuild
index 66bce5d76e..e985e4860e 100644
--- a/audio/mpc/mpc.SlackBuild
+++ b/audio/mpc/mpc.SlackBuild
@@ -4,26 +4,34 @@
# Written by Meckafett thumpadoodle@hotmail.com
-set -e
-
PRGNAM=mpc
VERSION=0.12.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS COPYING ChangeLog INSTALL README doc/mpc-bashrc doc/mppledit doc/pls-handler.sh doc/m3u-handler.sh"
+DOCS="AUTHORS COPYING ChangeLog INSTALL README
+ doc/mpc-bashrc doc/mppledit doc/pls-handler.sh
+ doc/m3u-handler.sh"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -37,6 +45,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--datarootdir=/usr \
--localstatedir=/var
@@ -45,8 +54,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
@@ -68,4 +79,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/mpc/mpc.info b/audio/mpc/mpc.info
index 34e7d5aad7..25724a2800 100644
--- a/audio/mpc/mpc.info
+++ b/audio/mpc/mpc.info
@@ -2,7 +2,9 @@ PRGNAM="mpc"
VERSION="0.12.1"
HOMEPAGE="http://www.musicpd.org/mpc.shtml"
DOWNLOAD="http://www.musicpd.org/uploads/files/mpc-0.12.1.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="0be8cc9ba282f467631ee0b1b8a0c494"
+MD5SUM_x86_64=""
MAINTAINER="Meckafett"
EMAIL="tom.bradish@gmail.com"
APPROVED="rworkman"
diff --git a/audio/mpc/slack-desc b/audio/mpc/slack-desc
index 63e0e44be7..94d355b04d 100644
--- a/audio/mpc/slack-desc
+++ b/audio/mpc/slack-desc
@@ -1,3 +1,10 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
|-----handy-ruler------------------------------------------------------|
mpc: mpc (Music Player Command)
mpc: